Integrations
Update Company Integration
This endpoint serves the purpose of updating a company integration’s configuration.
PATCH
/
company
/
integrations
/
{id}
Update Company Integration
curl --request PATCH \
--url https://api.roostedhr.com/api/1_12/company/integrations/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"api_key": "<string>",
"organization_id": "<string>"
}
'import requests
url = "https://api.roostedhr.com/api/1_12/company/integrations/{id}"
payload = {
"api_key": "<string>",
"organization_id": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({api_key: '<string>', organization_id: '<string>'})
};
fetch('https://api.roostedhr.com/api/1_12/company/integrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
true{
"code": "CMP-900",
"error": "Invalid integration configuration"
}{
"code": "ATH-100",
"error": "Invalid or missing API key"
}{
"code": "CMP-1000",
"error": "Insufficient permissions to manage company settings"
}{
"code": "CMP-800",
"error": "Integration not found"
}{
"code": "CMP-1100",
"error": "An unexpected error occurred"
}Authorizations
Path Parameters
Integration ID
Body
application/json
Integration fields to update.
Response
OK
The response is of type boolean.
Previous
Regenerate Company Integration Secret KeyThis endpoint serves the purpose of regenerating the secret key for a company integration.
Next
⌘I
Update Company Integration
